#ifndef __LCD12864_H
#define __LCD12864_H

#include "sys.h"

// IO引脚定义

#define LCD12864_RS 		  P13
#define LCD12864_RS_OUT   {P1M1&=~0x08;P1M0&=~0x08;}      //双向IO口
 
#define LCD12864_RW 		  P10
#define LCD12864_RW_OUT   {P1M1&=~0x01;P1M0&=~0x01;}      //双向IO口

#define LCD12864_EN 		  P11
#define LCD12864_E_OUT 	  {P1M1&=~0x02;P1M0&=~0x02;}      //双向IO口

#define LCD12864_RST       P54
#define LCD12864_RST_OUT 	 {P5M1&=~0x10;P5M0&=~0x10;}      //双向IO口

#define LCD12864_DATA      P6
#define LCD12864_DATA_OUT  {P6M1=0x00;P6M0=0x00;}          //双向IO口

void lcd12864_init();    //初始化12864
void lcd12864_clear();   //12864清屏
void lcd12864_show_char(uint8 X,uint8 Y,uint8 sig);   //12864在指定位置显示一个字符
void lcd12864_show_string(uint8 X,uint8 Y,uint8 *str);    //12864在指定位置显示字符串
void lcd12864_show_num(uint8 x,uint8 y,int num);   //12864在指定位置显示数字
void lcd12864_show_image(uint8 *p);    //12864显示图片

#endif      //lcd12864.h

